﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.IService
{
    public interface IScanWarningService : INotifyPropertyChanged
    {
        /// <summary>
        /// 使能
        /// </summary>
        bool Enable { get; set; }

        /// <summary>
        /// 连续N个点，大于规格线（公差）才算报警
        /// </summary>
        int AlarmCnt { get; set; }

        /// <summary>
        /// 是公差的多少倍 报警 单位 % 也就是  AlarmPercent = 100, 倍数为1
        /// </summary>
        double AlarmPercent { get; set; }
        /// <summary>
        /// 混合数
        /// </summary>
        int Mix { get; set; }

        
        void Apply();
    }
}
